Show / Hide Table of Contents

# AsyncTriggerHandler<T> Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncTriggerHandler<T> : IAsyncOneShotTrigger, IUniTaskSource<T>, IUniTaskSource, IValueTaskSource, IValueTaskSource<T>, ITriggerHandler<T>, IDisposable, IAsyncFixedUpdateHandler, IAsyncLateUpdateHandler, IAsyncOnAnimatorIKHandler, IAsyncOnAnimatorMoveHandler, IAsyncOnApplicationFocusHandler, IAsyncOnApplicationPauseHandler, IAsyncOnApplicationQuitHandler, IAsyncOnAudioFilterReadHandler, IAsyncOnBecameInvisibleHandler, IAsyncOnBecameVisibleHandler, IAsyncOnBeforeTransformParentChangedHandler, IAsyncOnCanvasGroupChangedHandler, IAsyncOnCollisionEnterHandler, IAsyncOnCollisionEnter2DHandler, IAsyncOnCollisionExitHandler, IAsyncOnCollisionExit2DHandler, IAsyncOnCollisionStayHandler, IAsyncOnCollisionStay2DHandler, IAsyncOnControllerColliderHitHandler, IAsyncOnDisableHandler, IAsyncOnDrawGizmosHandler, IAsyncOnDrawGizmosSelectedHandler, IAsyncOnEnableHandler, IAsyncOnGUIHandler, IAsyncOnJointBreakHandler, IAsyncOnJointBreak2DHandler, IAsyncOnMouseDownHandler, IAsyncOnMouseDragHandler, IAsyncOnMouseEnterHandler, IAsyncOnMouseExitHandler, IAsyncOnMouseOverHandler, IAsyncOnMouseUpHandler, IAsyncOnMouseUpAsButtonHandler, IAsyncOnParticleCollisionHandler, IAsyncOnParticleSystemStoppedHandler, IAsyncOnParticleTriggerHandler, IAsyncOnPostRenderHandler, IAsyncOnPreCullHandler, IAsyncOnPreRenderHandler, IAsyncOnRectTransformDimensionsChangeHandler, IAsyncOnRectTransformRemovedHandler, IAsyncOnRenderImageHandler, IAsyncOnRenderObjectHandler, IAsyncOnServerInitializedHandler, IAsyncOnTransformChildrenChangedHandler, IAsyncOnTransformParentChangedHandler, IAsyncOnTriggerEnterHandler, IAsyncOnTriggerEnter2DHandler, IAsyncOnTriggerExitHandler, IAsyncOnTriggerExit2DHandler, IAsyncOnTriggerStayHandler, IAsyncOnTriggerStay2DHandler, IAsyncOnValidateHandler, IAsyncOnWillRenderObjectHandler, IAsyncResetHandler, IAsyncUpdateHandler, IAsyncOnBeginDragHandler, IAsyncOnCancelHandler, IAsyncOnDeselectHandler, IAsyncOnDragHandler, IAsyncOnDropHandler, IAsyncOnEndDragHandler, IAsyncOnInitializePotentialDragHandler, IAsyncOnMoveHandler, IAsyncOnPointerClickHandler, IAsyncOnPointerDownHandler, IAsyncOnPointerEnterHandler, IAsyncOnPointerExitHandler, IAsyncOnPointerUpHandler, IAsyncOnScrollHandler, IAsyncOnSelectHandler, IAsyncOnSubmitHandler, IAsyncOnUpdateSelectedHandler

##### Inheritance

System.Object → AsyncTriggerHandler<T>

##### Implements

IAsyncOneShotTrigger
IUniTaskSource<T>
IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
System.Threading.Tasks.Sources.IValueTaskSource<T>
ITriggerHandler<T>
System.IDisposable
IAsyncFixedUpdateHandler
IAsyncLateUpdateHandler
IAsyncOnAnimatorIKHandler
IAsyncOnAnimatorMoveHandler
IAsyncOnApplicationFocusHandler
IAsyncOnApplicationPauseHandler
IAsyncOnApplicationQuitHandler
IAsyncOnAudioFilterReadHandler
IAsyncOnBecameInvisibleHandler
IAsyncOnBecameVisibleHandler
IAsyncOnBeforeTransformParentChangedHandler
IAsyncOnCanvasGroupChangedHandler
IAsyncOnCollisionEnterHandler
IAsyncOnCollisionEnter2DHandler
IAsyncOnCollisionExitHandler
IAsyncOnCollisionExit2DHandler
IAsyncOnCollisionStayHandler
IAsyncOnCollisionStay2DHandler
IAsyncOnControllerColliderHitHandler
IAsyncOnDisableHandler
IAsyncOnDrawGizmosHandler
IAsyncOnDrawGizmosSelectedHandler
IAsyncOnEnableHandler
IAsyncOnGUIHandler
IAsyncOnJointBreakHandler
IAsyncOnJointBreak2DHandler
IAsyncOnMouseDownHandler
IAsyncOnMouseDragHandler
IAsyncOnMouseEnterHandler
IAsyncOnMouseExitHandler
IAsyncOnMouseOverHandler
IAsyncOnMouseUpHandler
IAsyncOnMouseUpAsButtonHandler
IAsyncOnParticleCollisionHandler
IAsyncOnParticleSystemStoppedHandler
IAsyncOnParticleTriggerHandler
IAsyncOnPostRenderHandler
IAsyncOnPreCullHandler
IAsyncOnPreRenderHandler
IAsyncOnRectTransformDimensionsChangeHandler
IAsyncOnRectTransformRemovedHandler
IAsyncOnRenderImageHandler
IAsyncOnRenderObjectHandler
IAsyncOnServerInitializedHandler
IAsyncOnTransformChildrenChangedHandler
IAsyncOnTransformParentChangedHandler
IAsyncOnTriggerEnterHandler
IAsyncOnTriggerEnter2DHandler
IAsyncOnTriggerExitHandler
IAsyncOnTriggerExit2DHandler
IAsyncOnTriggerStayHandler
IAsyncOnTriggerStay2DHandler
IAsyncOnValidateHandler
IAsyncOnWillRenderObjectHandler
IAsyncResetHandler
IAsyncUpdateHandler
IAsyncOnBeginDragHandler
IAsyncOnCancelHandler
IAsyncOnDeselectHandler
IAsyncOnDragHandler
IAsyncOnDropHandler
IAsyncOnEndDragHandler
IAsyncOnInitializePotentialDragHandler
IAsyncOnMoveHandler
IAsyncOnPointerClickHandler
IAsyncOnPointerDownHandler
IAsyncOnPointerEnterHandler
IAsyncOnPointerExitHandler
IAsyncOnPointerUpHandler
IAsyncOnScrollHandler
IAsyncOnSelectHandler
IAsyncOnSubmitHandler
IAsyncOnUpdateSelectedHandler

#### Type Parameters

`T`

### Members

#### Methods

Name | Description
--- | ---
Dispose() |

#### Explicit Interface Implementations

Name | Description
--- | ---
ITriggerHandler<T>.Next |
ITriggerHandler<T>.OnCanceled(CancellationToken) |
ITriggerHandler<T>.OnCompleted() |
ITriggerHandler<T>.OnError(Exception) |
ITriggerHandler<T>.OnNext(T) |
ITriggerHandler<T>.Prev |
IUniTaskSource.GetResult(Int16) |
IUniTaskSource.GetStatus(Int16) |
IUniTaskSource.OnCompleted(Action<Object>, Object, Int16) |
IUniTaskSource.UnsafeGetStatus() |
IUniTaskSource<T>.GetResult(Int16) |
IAsyncFixedUpdateHandler.FixedUpdateAsync() |
IAsyncLateUpdateHandler.LateUpdateAsync() |
IAsyncOnAnimatorIKHandler.OnAnimatorIKAsync() |
IAsyncOnAnimatorMoveHandler.OnAnimatorMoveAsync() |
IAsyncOnApplicationFocusHandler.OnApplicationFocusAsync() |
IAsyncOnApplicationPauseHandler.OnApplicationPauseAsync() |
IAsyncOnApplicationQuitHandler.OnApplicationQuitAsync() |
IAsyncOnAudioFilterReadHandler.OnAudioFilterReadAsync() |
IAsyncOnBecameInvisibleHandler.OnBecameInvisibleAsync() |
IAsyncOnBecameVisibleHandler.OnBecameVisibleAsync() |
IAsyncOnBeforeTransformParentChangedHandler.OnBeforeTransformParentChangedAsync() |
IAsyncOnBeginDragHandler.OnBeginDragAsync() |
IAsyncOnCancelHandler.OnCancelAsync() |
IAsyncOnCanvasGroupChangedHandler.OnCanvasGroupChangedAsync() |
IAsyncOnCollisionEnter2DHandler.OnCollisionEnter2DAsync() |
IAsyncOnCollisionEnterHandler.OnCollisionEnterAsync() |
IAsyncOnCollisionExit2DHandler.OnCollisionExit2DAsync() |
IAsyncOnCollisionExitHandler.OnCollisionExitAsync() |
IAsyncOnCollisionStay2DHandler.OnCollisionStay2DAsync() |
IAsyncOnCollisionStayHandler.OnCollisionStayAsync() |
IAsyncOnControllerColliderHitHandler.OnControllerColliderHitAsync() |
IAsyncOnDeselectHandler.OnDeselectAsync() |
IAsyncOnDisableHandler.OnDisableAsync() |
IAsyncOnDragHandler.OnDragAsync() |
IAsyncOnDrawGizmosHandler.OnDrawGizmosAsync() |
IAsyncOnDrawGizmosSelectedHandler.OnDrawGizmosSelectedAsync() |
IAsyncOnDropHandler.OnDropAsync() |
IAsyncOnEnableHandler.OnEnableAsync() |
IAsyncOnEndDragHandler.OnEndDragAsync() |
IAsyncOneShotTrigger.OneShotAsync() |
IAsyncOnGUIHandler.OnGUIAsync() |
IAsyncOnInitializePotentialDragHandler.OnInitializePotentialDragAsync() |
IAsyncOnJointBreak2DHandler.OnJointBreak2DAsync() |
IAsyncOnJointBreakHandler.OnJointBreakAsync() |
IAsyncOnMouseDownHandler.OnMouseDownAsync() |
IAsyncOnMouseDragHandler.OnMouseDragAsync() |
IAsyncOnMouseEnterHandler.OnMouseEnterAsync() |
IAsyncOnMouseExitHandler.OnMouseExitAsync() |
IAsyncOnMouseOverHandler.OnMouseOverAsync() |
IAsyncOnMouseUpAsButtonHandler.OnMouseUpAsButtonAsync() |
IAsyncOnMouseUpHandler.OnMouseUpAsync() |
IAsyncOnMoveHandler.OnMoveAsync() |
IAsyncOnParticleCollisionHandler.OnParticleCollisionAsync() |
IAsyncOnParticleSystemStoppedHandler.OnParticleSystemStoppedAsync() |
IAsyncOnParticleTriggerHandler.OnParticleTriggerAsync() |
IAsyncOnPointerClickHandler.OnPointerClickAsync() |
IAsyncOnPointerDownHandler.OnPointerDownAsync() |
IAsyncOnPointerEnterHandler.OnPointerEnterAsync() |
IAsyncOnPointerExitHandler.OnPointerExitAsync() |
IAsyncOnPointerUpHandler.OnPointerUpAsync() |
IAsyncOnPostRenderHandler.OnPostRenderAsync() |
IAsyncOnPreCullHandler.OnPreCullAsync() |
IAsyncOnPreRenderHandler.OnPreRenderAsync() |
IAsyncOnRectTransformDimensionsChangeHandler.OnRectTransformDimensionsChangeAsync() |
IAsyncOnRectTransformRemovedHandler.OnRectTransformRemovedAsync() |
IAsyncOnRenderImageHandler.OnRenderImageAsync() |
IAsyncOnRenderObjectHandler.OnRenderObjectAsync() |
IAsyncOnScrollHandler.OnScrollAsync() |
IAsyncOnSelectHandler.OnSelectAsync() |
IAsyncOnServerInitializedHandler.OnServerInitializedAsync() |
IAsyncOnSubmitHandler.OnSubmitAsync() |
IAsyncOnTransformChildrenChangedHandler.OnTransformChildrenChangedAsync() |
IAsyncOnTransformParentChangedHandler.OnTransformParentChangedAsync() |
IAsyncOnTriggerEnter2DHandler.OnTriggerEnter2DAsync() |
IAsyncOnTriggerEnterHandler.OnTriggerEnterAsync() |
IAsyncOnTriggerExit2DHandler.OnTriggerExit2DAsync() |
IAsyncOnTriggerExitHandler.OnTriggerExitAsync() |
IAsyncOnTriggerStay2DHandler.OnTriggerStay2DAsync() |
IAsyncOnTriggerStayHandler.OnTriggerStayAsync() |
IAsyncOnUpdateSelectedHandler.OnUpdateSelectedAsync() |
IAsyncOnValidateHandler.OnValidateAsync() |
IAsyncOnWillRenderObjectHandler.OnWillRenderObjectAsync() |
IAsyncResetHandler.ResetAsync() |
IAsyncUpdateHandler.UpdateAsync() |

### Methods

#### Dispose()

    public void Dispose()

### Explicit Interface Implementations

#### ITriggerHandler<T>.Next

    ITriggerHandler<T> ITriggerHandler<T>.Next { get; set; }

##### Returns

ITriggerHandler<T>

#### ITriggerHandler<T>.OnCanceled(CancellationToken)

    void ITriggerHandler<T>.OnCanceled(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

#### ITriggerHandler<T>.OnCompleted()

    void ITriggerHandler<T>.OnCompleted()

#### ITriggerHandler<T>.OnError(Exception)

    void ITriggerHandler<T>.OnError(Exception ex)

##### Parameters

`ex` System.Exception

#### ITriggerHandler<T>.OnNext(T)

    void ITriggerHandler<T>.OnNext(T value)

##### Parameters

`value` T

#### ITriggerHandler<T>.Prev

    ITriggerHandler<T> ITriggerHandler<T>.Prev { get; set; }

##### Returns

ITriggerHandler<T>

#### IUniTaskSource.GetResult(Int16)

    void IUniTaskSource.GetResult(short token)

##### Parameters

`token` System.Int16

#### IUniTaskSource.GetStatus(Int16)

    UniTaskStatus IUniTaskSource.GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

UniTaskStatus

#### IUniTaskSource.OnCompleted(Action<Object>, Object, Int16)

    void IUniTaskSource.OnCompleted(Action<object> continuation, object state, short token)

##### Parameters

`continuation` System.Action<System.Object>
`state` System.Object
`token` System.Int16

#### IUniTaskSource.UnsafeGetStatus()

    UniTaskStatus IUniTaskSource.UnsafeGetStatus()

##### Returns

UniTaskStatus

#### IUniTaskSource<T>.GetResult(Int16)

    T IUniTaskSource<T>.GetResult(short token)

##### Parameters

`token` System.Int16

##### Returns

T

#### IAsyncFixedUpdateHandler.FixedUpdateAsync()

    UniTask IAsyncFixedUpdateHandler.FixedUpdateAsync()

##### Returns

UniTask

#### IAsyncLateUpdateHandler.LateUpdateAsync()

    UniTask IAsyncLateUpdateHandler.LateUpdateAsync()

##### Returns

UniTask

#### IAsyncOnAnimatorIKHandler.OnAnimatorIKAsync()

    UniTask<int> IAsyncOnAnimatorIKHandler.OnAnimatorIKAsync()

##### Returns

UniTask<System.Int32>

#### IAsyncOnAnimatorMoveHandler.OnAnimatorMoveAsync()

    UniTask IAsyncOnAnimatorMoveHandler.OnAnimatorMoveAsync()

##### Returns

UniTask

#### IAsyncOnApplicationFocusHandler.OnApplicationFocusAsync()

    UniTask<bool> IAsyncOnApplicationFocusHandler.OnApplicationFocusAsync()

##### Returns

UniTask<System.Boolean>

#### IAsyncOnApplicationPauseHandler.OnApplicationPauseAsync()

    UniTask<bool> IAsyncOnApplicationPauseHandler.OnApplicationPauseAsync()

##### Returns

UniTask<System.Boolean>

#### IAsyncOnApplicationQuitHandler.OnApplicationQuitAsync()

    UniTask IAsyncOnApplicationQuitHandler.OnApplicationQuitAsync()

##### Returns

UniTask

#### IAsyncOnAudioFilterReadHandler.OnAudioFilterReadAsync()

    UniTask<(float[] data, int channels)> IAsyncOnAudioFilterReadHandler.OnAudioFilterReadAsync()

##### Returns

UniTask<System.ValueTuple<System.Single[], System.Int32>>

#### IAsyncOnBecameInvisibleHandler.OnBecameInvisibleAsync()

    UniTask IAsyncOnBecameInvisibleHandler.OnBecameInvisibleAsync()

##### Returns

UniTask

#### IAsyncOnBecameVisibleHandler.OnBecameVisibleAsync()

    UniTask IAsyncOnBecameVisibleHandler.OnBecameVisibleAsync()

##### Returns

UniTask

#### IAsyncOnBeforeTransformParentChangedHandler.OnBeforeTransformParentChangedAsync()

    UniTask IAsyncOnBeforeTransformParentChangedHandler.OnBeforeTransformParentChangedAsync()

##### Returns

UniTask

#### IAsyncOnBeginDragHandler.OnBeginDragAsync()

    UniTask<PointerEventData> IAsyncOnBeginDragHandler.OnBeginDragAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnCancelHandler.OnCancelAsync()

    UniTask<BaseEventData> IAsyncOnCancelHandler.OnCancelAsync()

##### Returns

UniTask<BaseEventData>

#### IAsyncOnCanvasGroupChangedHandler.OnCanvasGroupChangedAsync()

    UniTask IAsyncOnCanvasGroupChangedHandler.OnCanvasGroupChangedAsync()

##### Returns

UniTask

#### IAsyncOnCollisionEnter2DHandler.OnCollisionEnter2DAsync()

    UniTask<Collision2D> IAsyncOnCollisionEnter2DHandler.OnCollisionEnter2DAsync()

##### Returns

UniTask<Collision2D>

#### IAsyncOnCollisionEnterHandler.OnCollisionEnterAsync()

    UniTask<Collision> IAsyncOnCollisionEnterHandler.OnCollisionEnterAsync()

##### Returns

UniTask<Collision>

#### IAsyncOnCollisionExit2DHandler.OnCollisionExit2DAsync()

    UniTask<Collision2D> IAsyncOnCollisionExit2DHandler.OnCollisionExit2DAsync()

##### Returns

UniTask<Collision2D>

#### IAsyncOnCollisionExitHandler.OnCollisionExitAsync()

    UniTask<Collision> IAsyncOnCollisionExitHandler.OnCollisionExitAsync()

##### Returns

UniTask<Collision>

#### IAsyncOnCollisionStay2DHandler.OnCollisionStay2DAsync()

    UniTask<Collision2D> IAsyncOnCollisionStay2DHandler.OnCollisionStay2DAsync()

##### Returns

UniTask<Collision2D>

#### IAsyncOnCollisionStayHandler.OnCollisionStayAsync()

    UniTask<Collision> IAsyncOnCollisionStayHandler.OnCollisionStayAsync()

##### Returns

UniTask<Collision>

#### IAsyncOnControllerColliderHitHandler.OnControllerColliderHitAsync()

    UniTask<ControllerColliderHit> IAsyncOnControllerColliderHitHandler.OnControllerColliderHitAsync()

##### Returns

UniTask<ControllerColliderHit>

#### IAsyncOnDeselectHandler.OnDeselectAsync()

    UniTask<BaseEventData> IAsyncOnDeselectHandler.OnDeselectAsync()

##### Returns

UniTask<BaseEventData>

#### IAsyncOnDisableHandler.OnDisableAsync()

    UniTask IAsyncOnDisableHandler.OnDisableAsync()

##### Returns

UniTask

#### IAsyncOnDragHandler.OnDragAsync()

    UniTask<PointerEventData> IAsyncOnDragHandler.OnDragAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnDrawGizmosHandler.OnDrawGizmosAsync()

    UniTask IAsyncOnDrawGizmosHandler.OnDrawGizmosAsync()

##### Returns

UniTask

#### IAsyncOnDrawGizmosSelectedHandler.OnDrawGizmosSelectedAsync()

    UniTask IAsyncOnDrawGizmosSelectedHandler.OnDrawGizmosSelectedAsync()

##### Returns

UniTask

#### IAsyncOnDropHandler.OnDropAsync()

    UniTask<PointerEventData> IAsyncOnDropHandler.OnDropAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnEnableHandler.OnEnableAsync()

    UniTask IAsyncOnEnableHandler.OnEnableAsync()

##### Returns

UniTask

#### IAsyncOnEndDragHandler.OnEndDragAsync()

    UniTask<PointerEventData> IAsyncOnEndDragHandler.OnEndDragAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOneShotTrigger.OneShotAsync()

    UniTask IAsyncOneShotTrigger.OneShotAsync()

##### Returns

UniTask

#### IAsyncOnGUIHandler.OnGUIAsync()

    UniTask IAsyncOnGUIHandler.OnGUIAsync()

##### Returns

UniTask

#### IAsyncOnInitializePotentialDragHandler.OnInitializePotentialDragAsync()

    UniTask<PointerEventData> IAsyncOnInitializePotentialDragHandler.OnInitializePotentialDragAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnJointBreak2DHandler.OnJointBreak2DAsync()

    UniTask<Joint2D> IAsyncOnJointBreak2DHandler.OnJointBreak2DAsync()

##### Returns

UniTask<Joint2D>

#### IAsyncOnJointBreakHandler.OnJointBreakAsync()

    UniTask<float> IAsyncOnJointBreakHandler.OnJointBreakAsync()

##### Returns

UniTask<System.Single>

#### IAsyncOnMouseDownHandler.OnMouseDownAsync()

    UniTask IAsyncOnMouseDownHandler.OnMouseDownAsync()

##### Returns

UniTask

#### IAsyncOnMouseDragHandler.OnMouseDragAsync()

    UniTask IAsyncOnMouseDragHandler.OnMouseDragAsync()

##### Returns

UniTask

#### IAsyncOnMouseEnterHandler.OnMouseEnterAsync()

    UniTask IAsyncOnMouseEnterHandler.OnMouseEnterAsync()

##### Returns

UniTask

#### IAsyncOnMouseExitHandler.OnMouseExitAsync()

    UniTask IAsyncOnMouseExitHandler.OnMouseExitAsync()

##### Returns

UniTask

#### IAsyncOnMouseOverHandler.OnMouseOverAsync()

    UniTask IAsyncOnMouseOverHandler.OnMouseOverAsync()

##### Returns

UniTask

#### IAsyncOnMouseUpAsButtonHandler.OnMouseUpAsButtonAsync()

    UniTask IAsyncOnMouseUpAsButtonHandler.OnMouseUpAsButtonAsync()

##### Returns

UniTask

#### IAsyncOnMouseUpHandler.OnMouseUpAsync()

    UniTask IAsyncOnMouseUpHandler.OnMouseUpAsync()

##### Returns

UniTask

#### IAsyncOnMoveHandler.OnMoveAsync()

    UniTask<AxisEventData> IAsyncOnMoveHandler.OnMoveAsync()

##### Returns

UniTask<AxisEventData>

#### IAsyncOnParticleCollisionHandler.OnParticleCollisionAsync()

    UniTask<GameObject> IAsyncOnParticleCollisionHandler.OnParticleCollisionAsync()

##### Returns

UniTask<GameObject>

#### IAsyncOnParticleSystemStoppedHandler.OnParticleSystemStoppedAsync()

    UniTask IAsyncOnParticleSystemStoppedHandler.OnParticleSystemStoppedAsync()

##### Returns

UniTask

#### IAsyncOnParticleTriggerHandler.OnParticleTriggerAsync()

    UniTask IAsyncOnParticleTriggerHandler.OnParticleTriggerAsync()

##### Returns

UniTask

#### IAsyncOnPointerClickHandler.OnPointerClickAsync()

    UniTask<PointerEventData> IAsyncOnPointerClickHandler.OnPointerClickAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnPointerDownHandler.OnPointerDownAsync()

    UniTask<PointerEventData> IAsyncOnPointerDownHandler.OnPointerDownAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnPointerEnterHandler.OnPointerEnterAsync()

    UniTask<PointerEventData> IAsyncOnPointerEnterHandler.OnPointerEnterAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnPointerExitHandler.OnPointerExitAsync()

    UniTask<PointerEventData> IAsyncOnPointerExitHandler.OnPointerExitAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnPointerUpHandler.OnPointerUpAsync()

    UniTask<PointerEventData> IAsyncOnPointerUpHandler.OnPointerUpAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnPostRenderHandler.OnPostRenderAsync()

    UniTask IAsyncOnPostRenderHandler.OnPostRenderAsync()

##### Returns

UniTask

#### IAsyncOnPreCullHandler.OnPreCullAsync()

    UniTask IAsyncOnPreCullHandler.OnPreCullAsync()

##### Returns

UniTask

#### IAsyncOnPreRenderHandler.OnPreRenderAsync()

    UniTask IAsyncOnPreRenderHandler.OnPreRenderAsync()

##### Returns

UniTask

#### IAsyncOnRectTransformDimensionsChangeHandler.OnRectTransformDimensionsChangeAsync()

    UniTask IAsyncOnRectTransformDimensionsChangeHandler.OnRectTransformDimensionsChangeAsync()

##### Returns

UniTask

#### IAsyncOnRectTransformRemovedHandler.OnRectTransformRemovedAsync()

    UniTask IAsyncOnRectTransformRemovedHandler.OnRectTransformRemovedAsync()

##### Returns

UniTask

#### IAsyncOnRenderImageHandler.OnRenderImageAsync()

    UniTask<(RenderTexture source, RenderTexture destination)> IAsyncOnRenderImageHandler.OnRenderImageAsync()

##### Returns

UniTask<System.ValueTuple<RenderTexture, RenderTexture>>

#### IAsyncOnRenderObjectHandler.OnRenderObjectAsync()

    UniTask IAsyncOnRenderObjectHandler.OnRenderObjectAsync()

##### Returns

UniTask

#### IAsyncOnScrollHandler.OnScrollAsync()

    UniTask<PointerEventData> IAsyncOnScrollHandler.OnScrollAsync()

##### Returns

UniTask<PointerEventData>

#### IAsyncOnSelectHandler.OnSelectAsync()

    UniTask<BaseEventData> IAsyncOnSelectHandler.OnSelectAsync()

##### Returns

UniTask<BaseEventData>

#### IAsyncOnServerInitializedHandler.OnServerInitializedAsync()

    UniTask IAsyncOnServerInitializedHandler.OnServerInitializedAsync()

##### Returns

UniTask

#### IAsyncOnSubmitHandler.OnSubmitAsync()

    UniTask<BaseEventData> IAsyncOnSubmitHandler.OnSubmitAsync()

##### Returns

UniTask<BaseEventData>

#### IAsyncOnTransformChildrenChangedHandler.OnTransformChildrenChangedAsync()

    UniTask IAsyncOnTransformChildrenChangedHandler.OnTransformChildrenChangedAsync()

##### Returns

UniTask

#### IAsyncOnTransformParentChangedHandler.OnTransformParentChangedAsync()

    UniTask IAsyncOnTransformParentChangedHandler.OnTransformParentChangedAsync()

##### Returns

UniTask

#### IAsyncOnTriggerEnter2DHandler.OnTriggerEnter2DAsync()

    UniTask<Collider2D> IAsyncOnTriggerEnter2DHandler.OnTriggerEnter2DAsync()

##### Returns

UniTask<Collider2D>

#### IAsyncOnTriggerEnterHandler.OnTriggerEnterAsync()

    UniTask<Collider> IAsyncOnTriggerEnterHandler.OnTriggerEnterAsync()

##### Returns

UniTask<Collider>

#### IAsyncOnTriggerExit2DHandler.OnTriggerExit2DAsync()

    UniTask<Collider2D> IAsyncOnTriggerExit2DHandler.OnTriggerExit2DAsync()

##### Returns

UniTask<Collider2D>

#### IAsyncOnTriggerExitHandler.OnTriggerExitAsync()

    UniTask<Collider> IAsyncOnTriggerExitHandler.OnTriggerExitAsync()

##### Returns

UniTask<Collider>

#### IAsyncOnTriggerStay2DHandler.OnTriggerStay2DAsync()

    UniTask<Collider2D> IAsyncOnTriggerStay2DHandler.OnTriggerStay2DAsync()

##### Returns

UniTask<Collider2D>

#### IAsyncOnTriggerStayHandler.OnTriggerStayAsync()

    UniTask<Collider> IAsyncOnTriggerStayHandler.OnTriggerStayAsync()

##### Returns

UniTask<Collider>

#### IAsyncOnUpdateSelectedHandler.OnUpdateSelectedAsync()

    UniTask<BaseEventData> IAsyncOnUpdateSelectedHandler.OnUpdateSelectedAsync()

##### Returns

UniTask<BaseEventData>

#### IAsyncOnValidateHandler.OnValidateAsync()

    UniTask IAsyncOnValidateHandler.OnValidateAsync()

##### Returns

UniTask

#### IAsyncOnWillRenderObjectHandler.OnWillRenderObjectAsync()

    UniTask IAsyncOnWillRenderObjectHandler.OnWillRenderObjectAsync()

##### Returns

UniTask

#### IAsyncResetHandler.ResetAsync()

    UniTask IAsyncResetHandler.ResetAsync()

##### Returns

UniTask

#### IAsyncUpdateHandler.UpdateAsync()

    UniTask IAsyncUpdateHandler.UpdateAsync()

##### Returns

UniTask

### Implements

IAsyncOneShotTrigger
IUniTaskSource<T>
IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
System.Threading.Tasks.Sources.IValueTaskSource<TResult>
ITriggerHandler<T>
System.IDisposable
IAsyncFixedUpdateHandler
IAsyncLateUpdateHandler
IAsyncOnAnimatorIKHandler
IAsyncOnAnimatorMoveHandler
IAsyncOnApplicationFocusHandler
IAsyncOnApplicationPauseHandler
IAsyncOnApplicationQuitHandler
IAsyncOnAudioFilterReadHandler
IAsyncOnBecameInvisibleHandler
IAsyncOnBecameVisibleHandler
IAsyncOnBeforeTransformParentChangedHandler
IAsyncOnCanvasGroupChangedHandler
IAsyncOnCollisionEnterHandler
IAsyncOnCollisionEnter2DHandler
IAsyncOnCollisionExitHandler
IAsyncOnCollisionExit2DHandler
IAsyncOnCollisionStayHandler
IAsyncOnCollisionStay2DHandler
IAsyncOnControllerColliderHitHandler
IAsyncOnDisableHandler
IAsyncOnDrawGizmosHandler
IAsyncOnDrawGizmosSelectedHandler
IAsyncOnEnableHandler
IAsyncOnGUIHandler
IAsyncOnJointBreakHandler
IAsyncOnJointBreak2DHandler
IAsyncOnMouseDownHandler
IAsyncOnMouseDragHandler
IAsyncOnMouseEnterHandler
IAsyncOnMouseExitHandler
IAsyncOnMouseOverHandler
IAsyncOnMouseUpHandler
IAsyncOnMouseUpAsButtonHandler
IAsyncOnParticleCollisionHandler
IAsyncOnParticleSystemStoppedHandler
IAsyncOnParticleTriggerHandler
IAsyncOnPostRenderHandler
IAsyncOnPreCullHandler
IAsyncOnPreRenderHandler
IAsyncOnRectTransformDimensionsChangeHandler
IAsyncOnRectTransformRemovedHandler
IAsyncOnRenderImageHandler
IAsyncOnRenderObjectHandler
IAsyncOnServerInitializedHandler
IAsyncOnTransformChildrenChangedHandler
IAsyncOnTransformParentChangedHandler
IAsyncOnTriggerEnterHandler
IAsyncOnTriggerEnter2DHandler
IAsyncOnTriggerExitHandler
IAsyncOnTriggerExit2DHandler
IAsyncOnTriggerStayHandler
IAsyncOnTriggerStay2DHandler
IAsyncOnValidateHandler
IAsyncOnWillRenderObjectHandler
IAsyncResetHandler
IAsyncUpdateHandler
IAsyncOnBeginDragHandler
IAsyncOnCancelHandler
IAsyncOnDeselectHandler
IAsyncOnDragHandler
IAsyncOnDropHandler
IAsyncOnEndDragHandler
IAsyncOnInitializePotentialDragHandler
IAsyncOnMoveHandler
IAsyncOnPointerClickHandler
IAsyncOnPointerDownHandler
IAsyncOnPointerEnterHandler
IAsyncOnPointerExitHandler
IAsyncOnPointerUpHandler
IAsyncOnScrollHandler
IAsyncOnSelectHandler
IAsyncOnSubmitHandler
IAsyncOnUpdateSelectedHandler